Subject: RE: EGCS Win32 gcc compiler wanted
From: [email-masked] (Gorton Zhao Guo Wei)

24 Apr 1998 15:08:49 -0700
Message-ID: <01BD6F76.EC9DCAB0.cygnus.gnu-win32@GWZHAO>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
To: "'Mumit Khan'" <[email-masked]>,
        Gorton Zhao Guo Wei
	 <[email-masked]>
Cc: "[email-masked]" <[email-masked]>

Mumit,

Yes, I am using the FAT file system on NT, but the problem does not seem to be that you mentioned below. To me, it seems to be a problem with tar utility. I used the following command to unpack and tar this egcs-1.0.2_tar.gz file. It took me more than 20 hours to do this but still could not finish it.

tar -xvfz egcs-1.0.2_tar.gz.

To fix this problem is easy, just separate this to two steps as follow.

gzip -d -xvfz egcs-1.0.2_tar.gz.
tar -xvf egcs-1.0.2.tar

Thanks,
Gorton

-----Original Message-----
From:	Mumit Khan [SMTP:[email-masked]]
Sent:	Friday, April 24, 1998 1:51 AM
To:	Gorton Zhao Guo Wei
Cc:	[email-masked]
Subject:	Re: EGCS Win32 gcc compiler wanted 

[email-masked] (Gorton Zhao Guo Wei) writes:
> I installed the b19.1 to my Pentium 133/32M ram PC together with NT 4.0 (work
> station). I tried to tar (decompress) the EGCS 1.0.2 file (9.5M bytes in size
> ). It took me whole night (about 15 hours) to do this, but it still has not b
> een finished yet. The CPU usage almost stays 100%. It must be something wrong
> ly. Normally, it only took a few minuts to compress a 20M bytes file if used 
> a Winzip on the same computer. I guess that I have to turn on or to set some 
> flags to this gnu-win32. Does anyone know how to speed up this gnu-win32?

Bet you're using FAT filesystem on NT, right? If so, you're running into
the same old "EA SF" slowdown problem which IMO renders cygwin32 b19.x 
useless for any real work. I believe Geoffrey has stated that he will 
provide an option to not use extended attributes on NT/FAT, but I haven't 
been keeping up with snapshots to know if it's already happened or not.

If you're not using FAT on NT, I can't even guess as to the cause of this
problem.

Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".